uudoc(1)

NAME
uudoc - Check file types and compare values.

SYNOPSIS
uudoc [-h|--help] [-V|--version]

DESCRIPTION
Check file types and compare values.

OPTIONS

-h, --help
    Print help

-V, --version
    Print version

EXTRA
Examples Test if a given variable is equal to a given string: test "{{$MY_VAR}}" = "{{/bin/zsh}}" Test if a given variable is empty ([z]ero length): test -z "{{$GIT_BRANCH}}" Test if a [f]ile exists: test -f "{{path/to/file_or_directory}}" Test if a [d]irectory does not exist: test ! -d "{{path/to/directory}}" If A is true, then do B, or C in the case of an error (notice that C may run even if A fails): test {{condition}} && {{echo "true"}} || {{echo "false"}} Use `test` in a conditional statement: if test -f "{{path/to/file}}"; then echo "File exists"; else echo "File does not exist"; fi > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0